Search

Query

Unknown

Arguments

query· OperatorListQuery
Query parameters to filter operators.
filter· OperatorListFilter
Criteria to filter operators.
size· Int
Number of elements (count) to return.
page· Int
Page number to return.

Fields

id· ID
Unique operator ID.
external_id· String
External ID of an operator provided by the operator data source.
name· String
Name of an operator.
website· String
Link to an operator’s website.
country· String· deprecated
ISO-3166 alpha-2 country code an operator is active in.
countries· CountryCodeAlpha2
ISO-3166 alpha-2 country codes an operator is active in.
contact· Contact
Contact information.
ranking· Int· deprecated
Ranking level on which the operator is placed or null in case the operator is not on any ranking level. Default operator preference applied to routes created through newRoute mutation if no operator preference is specified in the request.
excluded· Boolean· deprecated
Flag which indicates if the operator is in the excluded list. Default operator preference applied to routes created through newRoute mutation if no operator preference is specified in the request.
ranking_levels· OperatorRankingLevels
Ranking configuration for the operator. An operator can be ranked on different levels in different countries. Default operator preference applied to routes created through createRoute mutation if no operator preference is specified in the request.
excluded_countries· CountryCodeAlpha2
List of countries where the operator is excluded. Default operator preference applied to routes created through createRoute mutation if no operator preference is specified in the request.
avoided_countries· CountryCodeAlpha2
List of countries where the operator is avoided. Default operator preference applied to routes created through createRoute mutation if no operator preference is specified in the request.

Errors

Operations can fail. To handle all errors correctly, consider implementing the following error scenario’s.

error_forbidden_message
You are forbidden to execute this operation.
operation_not_allowed
You are not allowed to execute this operation. Enable it for the current application in the dashboard or reach out to customer support.
operator_filter_invalid
Only one of the following filters combinations can be used: ranking and exclude OR ranking_levels and excluded_countries.
operator_ranking_filter_duplicate
Operator ranking filter contains duplicate values: $DUPLICATES.
operator_ranking_filter_not_allowed
Operator ranking filter contains values which are not allowed: $INVALIDVALUES. Valid values from 1 till 10.
pagination_invalid_page
Page must be an INT value higher than 0.
pagination_invalid_size
Size must be an INT value between 1 and 1000.
rate_limit_exceeded
Rate limit exceeded.

Was this helpful?

  • Getting started

    Get started with the Chargetrip API.

  • API reference

    Browse our api and endpoints.

  • Examples

    Explore examples and start building.